## org.apache.cocoon.interpreter.java
Class JavaInterpreter

    java.lang.Object
      |
      +--org.apache.cocoon.framework.AbstractActor
            |
            +--org.apache.cocoon.interpreter.AbstractInterpreter
                  |
                  +--org.apache.cocoon.interpreter.java.JavaInterpreter

All Implemented Interfaces:
  Actor, Interpreter

public class JavaInterpreter
extends AbstractInterpreter

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:27 $
Author:
  Ricardo Rocha

Fields inherited from class org.apache.cocoon.framework.AbstractActor
`director`

Constructor Summary
`JavaInterpreter()`

Method Summary
`protected Module` `doCreateModule(java.lang.String moduleName)`

Methods inherited from class org.apache.cocoon.interpreter.AbstractInterpreter
`createModule, getModules`

Methods inherited from class org.apache.cocoon.framework.AbstractActor
`init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.framework.Actor
`init`

Constructor Detail

### JavaInterpreter

    public JavaInterpreter()

Method Detail

### doCreateModule

    protected Module doCreateModule(java.lang.String moduleName)
                             throws LanguageException

  Overrides:
    `doCreateModule` in class `AbstractInterpreter`

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.